function [val,iter]= punto_fisso_grafico(fun,x0,toll,xin,xfin);
%punto_fisso(fun,x0,toll,xin,xfin) calcola il limite dell'iterazione 
%di punto fisso e costruisce il grafico relativo
%val: limite calcolato
%iter: numero di iterazioni
%fun: funzione
%x0: dato iniziale
%toll: condizione di terminazione
%xin, xfin: valori iniziale e finale per l'asse x del grafico

MAXITER=1000;%numero massimo di iterazioni

figure
fplot(fun,[xin xfin]);
hold on;
fplot(@(x) x,[xin,xfin]);
grid on;
axis auto

iter=0;
while (norm(x0-feval(fun,x0))>toll)&&(iter<MAXITER)
    iter=iter+1;
    x1=feval(fun,x0);
    plot([x0 x1 x1],[feval(fun,x0) x1 feval(fun,x1)],'b','linewidth',2);
    x0=x1;
end
if iter==MAXITER
error('Mancata convergenza');
end
val=x0;

